<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+---------------------------------------------------------+
| Copyright (c) 2002-2006 Nick Jones
| http://www.php-fusion.co.uk/
+---------------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Terms Infusion (Dictionary/Glossary)
| modified from:
| Advanced Download DB v2.10
| author: Giuseppe Nichelini (nick56)  2005
| email: giuseppe@nichelini.it
+----------------------------------------------------+
| author: Paul Beuk  2006
| http://www.muscapaul.com/
| email: muscapaul@gmail.com
+---------------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";

$dsettings = dbarray(dbquery("SELECT * FROM ".$db_prefix."term_settings"));
$type = $dsettings['term_type'];
$usergroup = $dsettings['term_usergroup'];

if (!iMEMBER) fallback(BASEDIR."index.php");

if (iADMIN) { 
require_once ADMIN."navigation.php"; 
} ELSE {
require_once BASEDIR."side_left.php";
}

if (file_exists(INFUSIONS."terms/".$type."locale/".$settings['locale'].".php")) {
	include INFUSIONS."terms/".$type."locale/".$settings['locale'].".php";
} else { include INFUSIONS."terms/".$type."locale/English.php"; }

require_once INFUSIONS."terms/include/functions.php"; 

	if (isset($term_id) && !isNum($term_id)) fallback(FUSION_SELF);
	if (!isset($step)) $step = "";
	
	$result = dbquery("SELECT * FROM ".DB_PREFIX."term_cats");
	if (dbrows($result) != 0) {
		if ((iADMIN || checkgroup($usergroup)) AND $step == "delete") {
			$result = dbquery("DELETE FROM ".DB_PREFIX."terms WHERE term_id='$term_id'");
			redirect("terms.php?term_cat_id=$term_cat_id");
		}
		if ( isset($_POST['list']) )   {fallback(INFUSIONS."terms/terms.php") ; }
		if ( isset($_POST['save_term']) )   {
			$term_title = stripinput($_POST['term_title']);
			$term_descript = stripinput($_POST['term_descript']);
			if ($step == "edit") {
				$termsquery = "UPDATE ".DB_PREFIX."terms SET term_title='$term_title', term_descript='$term_descript', term_cat='$term_cat', term_sender='$term_sender', term_image='$term_image', term_rating='$term_rating', term_datestamp='".time()."', term_status='$term_status' WHERE term_id='$term_id'";
				$result = dbquery($termsquery);
				redirect("terms_admin.php");
			} else {
				$termsquery = "INSERT INTO ".DB_PREFIX."terms VALUES('', '$term_title', '$term_descript', '$term_cat', '$term_sender', '$term_image', '".time()."', '$term_rating', '$term_status')";
				$result = dbquery($termsquery);
				redirect("terms_admin.php");
			}
		}
		
		if ((iADMIN || checkgroup($usergroup)) AND $step == "edit") {
			$result = dbquery("SELECT * FROM ".DB_PREFIX."terms WHERE term_id='$term_id'");
			$data = dbarray($result);
			$term_title = $data['term_title'];
			$term_descript = $data['term_descript'];
			$term_sender = $data['term_sender'];
			$term_image = $data['term_image'];
			$term_status = $data['term_status'];
			$formaction = FUSION_SELF."?step=edit&term_cat_id=$term_cat_id&term_id=$term_id";
			opentable($locale['term101']." - ".$locale['term302']);
		} else {
			$term_title = "";
			$term_descript = "";
			$term_sender = $userdata['user_name'];
			$term_image = "";
			$term_status = "2";
			$formaction = FUSION_SELF;
			opentable($locale['term101']." - ".$locale['term303']);
		}
		$editlist    = ""; 
		$result2 = dbquery("SELECT * FROM ".DB_PREFIX."term_cats ORDER BY term_cat_name");
		if (dbrows($result2) != 0) {
			while ($data2 = dbarray($result2)) {
				if ($step == "edit") $sel = ($data['term_cat'] == $data2['term_cat_id'] ? " selected" : "");
				$editlist .= "<option value='".$data2['term_cat_id']."'$sel>".$data2['term_cat_name']."</option>\n";
			}
		}
		echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";;
		echo "<tr><td width='100%' align='center'>";
if (iADMIN || checkgroup($usergroup)) {
		term_toolbar(); } else {
	echo "<table cellpadding='1' cellspacing='1' border='0'>";
	echo "<tr>\n";
	echo "<td valign='bottom' height='18' nowrap><b>".$locale['term213']."</b></td>\n";
	echo "</tr>\n";
	echo "<table>\n";
		}
		echo "</td></tr>\n";
		echo "</table>\n";
		tablebreak();
		echo "<form ENCTYPE='multipart/form-data' name='inputform' method='post' action='$formaction'>\n";
		echo "<table border='0' cellpadding='0' cellspacing='1' width='100%' align='center'><tr>";
		echo "<td width='100%'>";
		echo "<table cellspacing='1' cellpadding='3' width='100%' border='0'>";
		echo "<tr><td width='100%'>\n";
		echo "<table width='100%' border='0' cellpadding='0' cellspacing='1'>\n";
				echo "<tr><td width='130' class='tbl1' align='right'>".$locale['term207'].": </td>\n";
				echo "<td class='tbl1'><select name='term_cat' class='textbox' style='width:380px;'>$editlist</select></td></tr>\n"; 
/*
			if (iADMIN || checkgroup($usergroup)) {
				echo "<tr><td width='130' class='tbl1' align='right'>".$locale['term207'].": </td>\n";
				echo "<td class='tbl1'><select name='term_cat' class='textbox' style='width:380px;'>$editlist</select></td></tr>\n"; }
			else {
		echo "<tr><td colspan='2'><input type='hidden' name='term_cat' value='1'></td></tr>\n"; }
*/
		echo "<tr><td width='130' class='tbl1' align='right'>".$locale['term204'].": </td>\n";
		echo "<td class='tbl1'><input type='text' name='term_title' value='$term_title' class='textbox' style='width:380px'></td></tr>\n";
		echo "<tr><td class='tbl1' valign='top' align='right'>".$locale['term205'].": </td>\n";
		echo "<td class='tbl1'><textarea name='term_descript' rows='2' class='textbox' style='width:380px;height:100px;'>".$term_descript."</textarea></td>\n";
		echo "</tr>\n";
		echo "<tr><td class='tbl1'>&nbsp;</td><td class='tbl1' align='left'>\n";
		echo "<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('term_descript', '[b]', '[/b]');\">\n";
		echo "<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('term_descript', '[i]', '[/i]');\">\n";
		echo "<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('term_descript', '[u]', '[/u]');\">\n";
		echo "<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('term_descript', '[url]', '[/url]');\">\n";
		echo "<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('term_descript', '[center]', '[/center]');\">\n";
		echo "<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('term_descript', '[small]', '[/small]');\">\n";
		echo "<input type='button' value='code' class='button' style='width:40px;' onClick=\"addText('term_descript', '[code]', '[/code]');\">\n";
		echo "<input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('term_descript', '[quote]', '[/quote]');\">\n";
		echo "<input type='button' value='glos' class='button' style='width:35px;' onClick=\"addText('term_descript', '[glos]', '[/glos]');\">\n";
		echo "</td></tr>\n";
if ($type == 0) {
		echo "<tr><td class='tbl1' align='right'>".$locale['term212'].": </td>\n";
		echo "<td class='tbl1'><input type='text' name='term_image' value='$term_image' class='textbox' style='width:380px'></td></tr>\n"; }
else {
		echo "<td colspan='2'><input type='hidden' name='term_image' value='$term_image' class='textbox' style='width:380px'></td></tr>\n"; }
		echo "<tr><td class='tbl1' align='right'>".$locale['term211'].": </td>\n";
		echo "<td class='tbl1'><input type='text' name='term_sender' value='$term_sender' class='textbox' style='width:180px;'></td></tr>\n";
			if (iADMIN || checkgroup($usergroup)) {
				echo "<tr><td class='tbl1' align='right'>".$locale['term462'].": </td>\n";
				echo "<td class='tbl1'>
					<select name='term_status' class='textbox'>\n
					<option value='0'".($term_status == "0" ? " selected" : "").">".$locale['term463']."</option>
					<option value='1'".($term_status == "1" ? " selected" : "").">".$locale['term464']."</option>
					<option value='3'".($term_status == "3" ? " selected" : "").">".$locale['term468']."</option>
					<option value='2'".($term_status == "2" ? " selected" : "").">".$locale['term465']."</option>
					</select></td></tr>";	
				echo "<tr><td colspan='2' class='small' align='center'>".$locale['term469'].$locale['term468'].$locale['term470']."</td></tr>\n"; 
				echo "<tr><td class='tbl1' align='right'>".$locale['term466'].": </td>\n";
				echo "<td class='tbl1'><input type='checkbox' name='update_datestamp' value='1'><br>\n";
}
			else {
				echo "<tr><td colspan='2'><input type='hidden' name='term_status' value='2'></td></tr>\n";
				}
		echo "<tr><td align='center' colspan='2' class='tbl1'>\n";
		echo "<input type='submit' class='button' name='list' value='".$locale['term614']."'>&nbsp;<input type='submit' name='save_term' value='".$locale['term304']."' class='button'></td></tr>\n";
		echo "</table>\n";
		echo "</td></tr></table>\n";
		echo "</td></tr></table>\n";
//		echo "</td></tr></table>\n";
		echo "</form>\n";
		closetable();
		tablebreak();
if (iADMIN || checkgroup($usergroup)) {
		opentable($locale['term501']);
		echo "<center><table border='0'><tr><td width='100%'>";
		echo "<table align='right' border='0' cellspacing='1' cellpadding='1' width='100%' border='0'>";
		echo "<tr><td width='100%'>\n";
		echo "<table width='480' border='0' cellpadding='0' cellspacing='0'>\n";
		$result = dbquery("SELECT * FROM ".DB_PREFIX."term_cats ORDER BY term_cat_name");
		if (dbrows($result) != 0) {
			echo "<tr><td class='tbl2'><b>".$locale['term502']."</b></td><td width='65' align='center' class='tbl2'><b>".$locale['term503']."</b></td></tr>";
			while ($data = dbarray($result)) {
				if (!isset($term_cat_id)) $term_cat_id = "";
				if ($data['term_cat_id'] == $term_cat_id) { $p_img = "off"; $div = ""; } else { $p_img = "on"; $div = "style='display:none'"; }
				echo "<tr><td class='tbl1'><li>".$data['term_cat_name']."</td>";
				echo "<td class='tbl1' align='center'><img onclick=\"javascript:flipBox('".$data['term_cat_id']."')\" name='b_".$data['term_cat_id']."' border='0' src='".THEME."/images/panel_".$p_img.".gif'></td></tr>\n";
				$result2 = dbquery("SELECT * FROM ".DB_PREFIX."terms WHERE term_cat='".$data['term_cat_id']."' ORDER BY term_title");
				if (dbrows($result2) != 0) {
					echo "<tr><td colspan='2'><div id='box_".$data['term_cat_id']."'".$div.">";
					echo "<table width='100%' border='0' cellspacing='1' cellpadding='0' class='tbl-border'>\n";
					while ($data2 = dbarray($result2)) {
						echo "<tr><td class='tbl2'>".$data2['term_title']."</td>
						<td align='center' width='60' class='tbl2'><a href='".FUSION_SELF."?step=edit&term_cat_id=".$data['term_cat_id']."&term_id=".$data2['term_id']."'><img src=".INFUSIONS."terms/images/edit.gif border='0' title='".$locale['term504']."' alt='".$locale['term504']."'></a> -
						<a href='".FUSION_SELF."?step=delete&term_cat_id=".$data['term_cat_id']."&term_id=".$data2['term_id']."' onClick='return DeleteItem()'><img src=".INFUSIONS."terms/images/delete.gif border='0' title='".$locale['term505']."' alt='".$locale['term505']."'></a></td>
						</tr>\n";
					}
					echo "</table></div></td></tr>\n";
				} else { 
					echo "<tr><td colspan='2'><div id='box_".$data['term_cat_id']."' style='display:none'>\n";
					echo "<table border='0' width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
					echo "<tr><td>".$locale['term521']."</td></tr>\n";
					echo "</table></div></td></tr>\n";
				}
			}
			echo "</table>\n";
			echo "</td></tr></table>\n";
			echo "<script>function DeleteItem() { return confirm('".$locale['term461']."'); } </script>\n";
		} else {
			echo "<tr><td align='center'><br>".$locale['term522']."<br><br><a href='".INFUSIONS."terms/terms_cats.php'>".$locale['term523']."<br><br></td></tr></table>\n";
			echo "</td></tr></table>\n";
			echo "</td></tr></table>\n";
		}
			echo "</td></tr></table></center>\n";
		closetable();
		}
	} else {
		opentable($locale['term501']);
		echo "<center>".$locale['term524']."<br>".$locale['term525']."<br><br><a href='".INFUSIONS."terms/terms_cats.php'>".$locale['term526']."</a>".$locale['term527']."</center>\n";
		closetable();
	}

if (iADMIN) { 
	echo "</td></tr></table>\n"; 
require_once BASEDIR."footer.php";
	} ELSE { 
	echo "</td></tr></table>\n"; 
require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
}
?>